< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package frsse2008
  Definition Classes
    accounts
-  package calculations
  Definition Classes
    frsse2008
-  package micro
  Definition Classes
    frsse2008
-  package retriever
  Definition Classes
    frsse2008
- AC15
- AC16
- AC17
- AC18
- AC19
- AC20
- AC21
- AC22
- AC23
- AC26
- AC27
- AC28
- AC29
- AC30
- AC31
- AC32
- AC33
- AC34
- AC35
- AC36
- AC37
- AC38
- AC39
- AC40
- AC41

c

uk.gov.hmrc.ct.accounts.frsse2008

# AC23 

###

#### case class AC23(value: Option[Int]) extends CtBoxIdentifier with CtOptionalInteger with Input with SelfValidatableBox[AccountsBoxRetriever, Option[Int]] with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, SelfValidatableBox[AccountsBoxRetriever, Option[Int]], ValidatableBox[AccountsBoxRetriever], ExtraValidation, Validators, Input, CtOptionalInteger, OptionalCtValue[Int], CtValue[Option[Int]], CtBoxIdentifier, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AC23
2. Serializable
3. Serializable
4. Product
5. Equals
6. SelfValidatableBox
7. ValidatableBox
8. ExtraValidation
9. Validators
10. Input
11. CtOptionalInteger
12. OptionalCtValue
13. CtValue
14. CtBoxIdentifier
15. AnyRef
16. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new AC23(value: Option[Int])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def And(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
5.  def Or(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
6.  def asBoxString: Option[String]
   Definition Classes
     CtValue
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def asInt: Option[Int]
   Definition Classes
     CtOptionalInteger
9.  def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]
   Attributes
     protected
   Definition Classes
     ValidatableBox
10.  def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
11.  def belowMinWithMax(value: Option[Int], max: Int, min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
12.  implicit def box2OptionalBigDecimalIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalBigDecimalIdBox
    Definition Classes
      SelfValidatableBox
13.  implicit def box2OptionalBooleanIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalBooleanIdBox
    Definition Classes
      SelfValidatableBox
14.  implicit def box2OptionalDateIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalDateIdBox
    Definition Classes
      SelfValidatableBox
15.  implicit def box2OptionalIntIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalIntIdBox
    Definition Classes
      SelfValidatableBox
16.  implicit def box2OptionalStringIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalStringIdBox
    Definition Classes
      SelfValidatableBox
17.  implicit def box2StringIdBox(box: CtValue[_] with CtBoxIdentifier): StringIdBox
    Definition Classes
      SelfValidatableBox
18.  val boxId: String
    Attributes
      protected
    Definition Classes
      Validators
19.  def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
20.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
21.  def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
22.  def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
23.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  def errorMessage[A](messageKey: String, errorArguments: Seq[A] = Seq.empty): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
25.  def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED, errorMsg: String = "exceeds.max")(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
26.  def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
27.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
28.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  def hasValue: Boolean
    Definition Classes
      OptionalCtValue
30.  def id: String
    Definition Classes
      CtBoxIdentifier
31.  def isEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
32.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
33.  def isPositive: Boolean
    Definition Classes
      CtOptionalInteger
34.  def minus(other: Int): Int
    Definition Classes
      CtOptionalInteger
35.  def minus(other: CtInteger): Int
    Definition Classes
      CtOptionalInteger
36.  def minus(other: CtOptionalInteger): Int
    Definition Classes
      CtOptionalInteger
37.  val name: String
    Definition Classes
      CtBoxIdentifier
38.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
39.  def noValue: Boolean
    Definition Classes
      OptionalCtValue
40.  def nonEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
41.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
42.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
43.  def orZero: Int
    Definition Classes
      CtOptionalInteger
44.  def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
45.  def plus(other: Int): Int
    Definition Classes
      CtOptionalInteger
46.  def plus(other: CtInteger): Int
    Definition Classes
      CtOptionalInteger
47.  def plus(other: CtOptionalInteger): Int
    Definition Classes
      CtOptionalInteger
48.  val postCodeRegex: String
    Attributes
      protected
    Definition Classes
      ExtraValidation
49.  def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
50.  def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
51.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
52.  def validate(boxRetriever: AccountsBoxRetriever): Set[CtValidation]
    Definition Classes
      AC23 → ValidatableBox
53.  def validateAllFilledOrEmptyStrings(allBoxes: Set[CtValue[String]])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
54.  def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
55.  def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
56.  def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
57.  def validateAsMandatory()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
58.  def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
59.  def validateAsMandatory[A](boxId: String, value: Option[A])(): Set[CtValidation]
    Definition Classes
      ExtraValidation
60.  def validateBooleanAsMandatory()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
61.  def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
62.  def validateBooleanAsTrue()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
63.  def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
64.  def validateCoHoStringReturnIllegalChars(value: String, errorCodeBoxId: Option[String])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
65.  def validateCoHoStringReturnIllegalChars()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
66.  def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
67.  def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
68.  def validateCohoNameField()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
69.  def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
70.  def validateCohoOptionalNameField()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
71.  def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
72.  def validateDateAsAfter(dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
73.  def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
74.  def validateDateAsBefore(dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
75.  def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
76.  def validateDateAsBetweenInclusive(date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
77.  def validateDateAsBetweenInclusive(minDate: LocalDate, maxDate: LocalDate)()(implicit ev: <:<[Option[Int], Option[LocalDate]]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
78.  def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
79.  def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
80.  def validateDateAsBlank()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
81.  def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
82.  def validateDateAsMandatory(date: Option[LocalDate], messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
83.  def validateDateAsMandatory()()(implicit ev: <:<[Option[Int], Option[LocalDate]]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
84.  def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
85.  def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
86.  def validateDateIsInclusive(boxId: String, minDate: LocalDate, dateToCompare: Option[LocalDate], maxDate: LocalDate): Set[CtValidation]
    Definition Classes
      ExtraValidation
87.  def validateIntegerAsBlank()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
88.  def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
89.  def validateIntegerAsMandatory()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
90.  def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
91.  def validateIntegerRange(min: Int = 0, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
92.  def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
93.  def validateMoney(value: Option[Int], min: Int = -99999999, max: Int = 99999999)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
94.  def validateNotEmptyStringByLength(value: String, min: Int, max: Int)(): Set[CtValidation]
    Definition Classes
      SelfValidatableBox
95.  def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
96.  def validateNotEmptyStringByLengthMin(boxId: String, value: String, min: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
97.  def validateOptionalIntegerAsEqualTo(equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
98.  def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
99.  def validateOptionalIntegerLessOrEqualBox(other: CtBoxIdentifier with CtOptionalInteger)()(implicit ev: <:<[Option[Int], Option[Int]]): Set[CtValidation]
    Definition Classes
      SelfValidatableBox
100.  def validateOptionalStringByLength(min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
101.  def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
102.  def validateOptionalStringByLength(value: Option[String], min: Int, max: Int, boxId: String, boxIdPrefix: Option[String])(): Set[CtValidation]
     Definition Classes
       ExtraValidation
103.  def validateOptionalStringByLengthMax(boxId: String, box: OptionalStringIdBox, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
104.  def validateOptionalStringByLengthMin(boxId: String, box: OptionalStringIdBox, min: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
105.  def validateOptionalStringByRegex(regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
106.  def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
107.  def validatePositiveBigDecimal()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
108.  def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
109.  def validatePositiveInteger()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
110.  def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
111.  def validatePostcode(boxId: String)()(implicit ev: <:<[Option[Int], Option[String]]): Set[CtValidation]
     Definition Classes
       SelfValidatableBox
112.  def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
113.  def validatePostcode(boxId: String, postcode: Option[String]): Set[CtValidation]
     Definition Classes
       ExtraValidation
114.  def validatePostcodeLength(boxId: String, postcode: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
115.  def validatePostcodeRegex(boxId: String, postcode: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
116.  def validateRawStringByRegex(value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
117.  def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
118.  def validateStringAsBlank()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
119.  def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
120.  def validateStringAsMandatory()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
121.  def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
122.  def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
123.  def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
124.  def validateStringAsMandatoryWithNoTrailingWhitespace()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
125.  def validateStringAsMandatoryWithNoTrailingWhitespace(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
126.  def validateStringByLength(value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]
     Definition Classes
       SelfValidatableBox
127.  def validateStringByLength(min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
128.  def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
129.  def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
130.  def validateStringByRegex(regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
131.  def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
132.  def validateStringByRegex(boxId: String, str: String, regex: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
133.  def validateStringMaxLength(value: String, max: Int)(): Set[CtValidation]
     Definition Classes
       SelfValidatableBox
134.  def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
135.  def validateZeroOrNegativeInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
136.  def validateZeroOrPositiveBigDecimal()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
137.  def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
138.  def validateZeroOrPositiveInteger()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
139.  def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
140.  def validateZeroOrPositiveInteger(boxId: String, value: Option[Int]): Set[CtValidation]
     Definition Classes
       ExtraValidation
141.  val validationSuccess: Set[CtValidation]
     Definition Classes
       ValidatableBox
142.  val value: Option[Int]
     Definition Classes
       AC23 → CtValue
143.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
144.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
145.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from SelfValidatableBox[AccountsBoxRetriever, Option[Int]]

### Inherited from ValidatableBox[AccountsBoxRetriever]

### Inherited from ExtraValidation

### Inherited from Validators

### Inherited from Input

### Inherited from CtOptionalInteger

### Inherited from OptionalCtValue[Int]

### Inherited from CtValue[Option[Int]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped